<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>Source View</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h4 class="subsectionHead"><span class="titlemark">12.3.2</span>&#x00A0;&#x00A0;<a 
 id="x85-12100012.3.2"></a>Source View</h4>
<!--l. 1249--><p class="noindent" >You can edit a document&#8217;s source code in the Source View directly by manually editing,
inserting or deleting elements and attributes. Lines can be opened and closed by clicking the
+/-&#x00A0;button on the left side. Schema-driven Content AHssist will support you with a Hover
Help and lists of proposals when adding new elements (<span 
class="stmary-10x-x-109">&#x2192;</span>&#x00A0;<a 
href="#x85-12200012.3.2">Features of the Source
View<!--tex4ht:ref: xml-editor:editor-field:source-view:features --></a>).
</p>
<hr class="figure" /><div class="figure" 
>
                                                                                

                                                                                
<a 
 id="x85-1210013"></a>
                                                                                

                                                                                
<!--l. 1253--><p class="noindent" ><img 
src="xml-sourceview.png" /><!--tex4ht:graphics  
name="textgrid-manual76x.png" src="xml-sourceview.eps"  
-->
<br /> </p><div class="caption"><table class="caption" 
><tr style="vertical-align:baseline;" class="caption"><td class="id">Figure&#x00A0;12.3: </td><td  
class="content">Source View</td></tr></table></div><!--tex4ht:label?: x85-1210013 -->
                                                                                

                                                                                
</div><hr class="endfigure" />
<h5 class="subsubsectionHead"><a 
 id="x85-12200012.3.2"></a>Features of the Source View</h5>
<!--l. 1260--><p class="noindent" >The Source View offers you some features for working with XML source code.
</p>
<!--l. 1262--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-12300012.3.2"></a><span 
class="cmbx-10x-x-109">Syntax Highlighting:</span></span> Tag elements (attributes, values, etc.) as well as comments in the
Source View are highlighted differently to facilitate orientation in the document and detection
of syntax errors. You can customize the syntax highlighting in the editor-relevant
preferences.
</p>
<!--l. 1264--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-12400012.3.2"></a><span 
class="cmbx-10x-x-109">Unlimited Undo and Redo:</span></span> To undo or redo a change made to a document click &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E;</span>
Undo&#8221; or &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Redo&#8221; in the menu bar above. Alternatively, right-click in the editor field
and select the corresponding entry &#8220;Undo Text Change&#8221;. You can undo and redo every change
made to a file for the entire editing session.
</p>
<!--l. 1266--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-12500012.3.2"></a><span 
class="cmbx-10x-x-109">Node Selection:</span></span> Depending on the position of the caret in the editor, the node selection
indicator highlights the corresponding tags as well as the lines that include a node in the
vertical ruler in the left area of the Source view
</p>
<!--l. 1268--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-12600012.3.2"></a><span 
class="cmbx-10x-x-109">Comment toggling and block commenting and uncommenting:</span></span> You can toggle an
XML comment on and off by right-clicking and selecting &#8220;Source&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Toggle Comment&#8221;. To
comment out a section of source code, right-click on the selected area and select
&#8220;Source&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Add Block Comment&#8221;, to uncomment select &#8220;Source&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Remove Block
Comment.&#8221;
                                                                                

                                                                                
</p>
<!--l. 1270--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-12700012.3.2"></a><span 
class="cmbx-10x-x-109">As-you-type Validation:</span></span> While editing the document, errors found in the general XML
syntax (missing quotes, missing brackets, missing end tags) as well as validation errors (in case
a schema is specified) are indicated with red wavy underlines. A red icon at the top of the
vertical ruler in the right area of the Source view will show up if the Document contains any
errors (<a 
href="#x85-1270014">12.4<!--tex4ht:ref: fig:xml-editor:validation --></a>). To find a description of the error, mouse over the red marks shown in
the vertical ruler in the right area of the Source view. A yellow icon indicates a
warning.
</p>
<hr class="figure" /><div class="figure" 
>
                                                                                

                                                                                
<a 
 id="x85-1270014"></a>
                                                                                

                                                                                
<!--l. 1274--><p class="noindent" ><img 
src="xml-validationerror-detail.png"  /><!--tex4ht:graphics  
name="textgrid-manual77x.png" src="xml-validationerror-detail.eps"  
-->
<br /> </p><div class="caption"><table class="caption" 
><tr style="vertical-align:baseline;" class="caption"><td class="id">Figure&#x00A0;12.4: </td><td  
class="content">As-you-type Validation</td></tr></table></div><!--tex4ht:label?: x85-1270014 -->
                                                                                

                                                                                
</div><hr class="endfigure" />
<!--l. 1279--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-12800012.3.2"></a><span 
class="cmbx-10x-x-109">Smart Insert:</span></span> Typing elements and comments is supported by a Smart Insert mode: When
you type an element, Smart Insert completes the corresponding closing tag automatically.
Likewise, when you type the beginning of an XML comment <span 
class="cmmi-10x-x-109">&#x003C;</span>!&#8211;, Smart Insert completes the
ending of the comment &#8211;<span 
class="cmmi-10x-x-109">&#x003E;</span>. The caret is left in the middle of the comment tag so you can
proceed directly typing the comment text. In the same line, opening quotes in attributes are
completed with closing quotes while the caret is left between them so you can directly
start typing the value of the attribute. To toggle the Smart Insert mode on and off,
click &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Smart Insert Mode&#8221; in the menu bar and tick or untick the check
mark.
</p>
<!--l. 1281--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-12900012.3.2"></a><span 
class="cmbx-10x-x-109">Hover Help:</span></span> Hover Help is displayed when users mouse over an element or an attribute. It
displays the content model of the current element or attribute and additional documentation
information if included in the associated schema (<a 
href="#x85-1290015">12.5<!--tex4ht:ref: fig:xml-editor:hoverhelp --></a>). Mousing over text that is
indicated to be erroneous with red wavy underlines displays a description of the
current problem. You can modify the Hover Help preferences in the relevant editor
preferences.
</p>
<hr class="figure" /><div class="figure" 
>
                                                                                

                                                                                
<a 
 id="x85-1290015"></a>
                                                                                

                                                                                
<!--l. 1285--><p class="noindent" ><img 
src="xml-hoverhelp-detail.png"  /><!--tex4ht:graphics  
name="textgrid-manual78x.png" src="xml-hoverhelp-detail.eps"  
-->
<br /> </p><div class="caption"><table class="caption" 
><tr style="vertical-align:baseline;" class="caption"><td class="id">Figure&#x00A0;12.5: </td><td  
class="content">Hover Help</td></tr></table></div><!--tex4ht:label?: x85-1290015 -->
                                                                                

                                                                                
</div><hr class="endfigure" />
<!--l. 1290--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-13000012.3.2"></a><span 
class="cmbx-10x-x-109">Content Assist:</span></span> When typing the opening bracket <span 
class="cmmi-10x-x-109">&#x003C; </span>of an element in the Source View field,
Content Assist provides you with a list of suggested elements allowed at this position. You can
activate Content Assist clicking &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Content Assist&#8221; in the menu bar at the top. When
activating Content Assist while the caret is at an attribute position, a list of suggested
attributes allowed at this position is provided. Proposals come from a referenced
content model if a schema is specified for the document, or possibly through the
XML Catalog. You can modify the Content Assist preferences in the editor relevant
preferences.
</p>
<!--l. 1292--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-13100012.3.2"></a><span 
class="cmbx-10x-x-109">Quick Fix:</span></span> Select &#8220;Edit&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Quick Fix&#8221; in the menu bar on top to see a list of suggested
corrections when positioning the caret on a text that with red wavy underlines is indicated to
be erroneous with red wavy underlines. Alternatively, right-click on the underlined text and
select &#8220;Quick Fix&#8221;. If there are no problems or warnings at the selected position, Quick Assist
proposals are not available.
</p>
<!--l. 1294--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-13200012.3.2"></a><span 
class="cmbx-10x-x-109">Formatting:</span></span> To make the XML document easier to read and better for printing you can
change the formatting options in the editor relevant preferences. You can apply formatting to
the whole document by right-clicking in a non-highlighted area in your document and selecting
&#8220;Source&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Format&#8221;. To apply formatting to a highlighted area only, right-click in the selected
area and select &#8220;Source&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Format Active Elements&#8221;.
</p>
<!--l. 1296--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-13300012.3.2"></a><span 
class="cmbx-10x-x-109">Cleanup:</span></span> Simple errors in the XML-document such as missing required attributes,
missing begin or end tags or unquoted attributes can be corrected with XML Cleanup.
You can open the Cleanup Dialog box by right-clicking in the Editor and selecting
&#8220;Source&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Cleanup Document&#8221;. Alternatively, you can find it in the menu bar: &#8220;XML&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E;</span>
Source&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Cleanup Document&#8221;. Afterwards set your Cleanup preferences in the Dialog
box; you can further select &#8217;Format source&#8217; in the box to apply formatting to the
                                                                                

                                                                                
document.
</p>
<!--l. 1298--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-13400012.3.2"></a><span 
class="cmbx-10x-x-109">Team and Local History:</span></span> A local edit history of a file is maintained when you create or
modify a file. This history is accessible via &#8220;Team&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Show Local History&#8221; in the context
menu. Each time you edit and save the file, a copy is saved so that you can replace the current
file with a previous edit or even restore a deleted file. You can also compare the contents of
all the local edits. You can also &#8220;Apply Patch(es)&#8221; after selecting &#8220;Team&#8221; in the
context menu. Select the resource that the patch was generated on in the Patch Input
Specification Dialog. This resource should contain the same file revisions as the line-up on
which the patch was generated (<span 
class="stmary-10x-x-109">&#x2192;</span>&#x00A0;<a 
href="textgrid-manualch8.html#x50-490008">Revisions<!--tex4ht:ref: revisions --></a>). For more information see the Eclipse
documentation
<a 
href="http://www.eclipse.org/documentation/" class="url" ><span 
class="cmtt-10x-x-109">http://www.eclipse.org/documentation/</span></a>
</p>
<!--l. 1302--><p class="noindent" ><span class="paragraphHead"><a 
 id="x85-13500012.3.2"></a><span 
class="cmbx-10x-x-109">Preferences:</span></span> You can edit XML Editor-relevant Preferences by right-clicking in
the Source View editor and selecting &#8220;Preferences&#8221;. Editable are amongst other
things:
</p>
     <ul class="itemize1">
     <li class="itemize">Highlighting  of  the  syntax  elements:  Expand  the  tree  &#8220;XML&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>XML  Files&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E;</span>
     Editor&#8221; on the left of the Dialog box &#8220;Preferences&#8221; and select &#8220;Syntax Coloring&#8221;.
     </li>
     <li class="itemize">Hover Help: Expand the tree &#8220;General&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Editors&#8221; on the left of the Dialog box
     &#8220;Preferences&#8221; and then select &#8220;Structured Text Editors&#8221;. In the Structured Text
     Editors Dialog box select the &#8220;Hovers&#8221; Tab and tick off the requested modifier
     preferences.
     </li>
     <li class="itemize">Content Assist: Expand the tree &#8220;XML&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>XML Files&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Editor&#8221; on the left of the
     Dialog box &#8220;Preferences&#8221; and select &#8220;Content Assist&#8221;. There you can choose the
     appropriate settings.
                                                                                

                                                                                
     </li>
     <li class="itemize">Formatting, please expand the tree &#8220;XML&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>XML Files&#8221; on the left of the Dialog
     box &#8220;Preferences&#8221; and select &#8220;Editor&#8221;. In this Dialog box you can choose and tick
     off the respective settings of the formatting function.</li></ul>
<!--l. 1311--><p class="noindent" >For more information see the Eclipse documentation:
</p><!--l. 1313--><p class="noindent" ><a 
href="http://www.eclipse.org/documentation/" class="url" ><span 
class="cmtt-10x-x-109">http://www.eclipse.org/documentation/</span></a>
</p><!--l. 1315--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x85-13600012.3.2"></a>Context Menu</h5>
<!--l. 1317--><p class="noindent" >The context menu of the Source View allows the user realize most of the view&#8217;s features via
right-click.
</p>
     <ul class="itemize1">
     <li class="itemize">Undo changes and to revert the file to the last saved state, the current state can
     also be saved
     </li>
     <li class="itemize">Highlight the file or part of the file in the <a 
href="textgrid-manualch4.html#x24-230004">Navigator<!--tex4ht:ref: navigator --></a>, the <a 
href="textgrid-manualse44.html#x87-14200012.4">Outline View<!--tex4ht:ref: xml-editor:outline-view --></a> or <a 
href="textgrid-manualse45.html#x90-14500012.5">Properties
     View<!--tex4ht:ref: xml-editor:properties-view --></a> by selecting &#8220;Show In&#8221;
     </li>
     <li class="itemize">Select Cut, Copy and Paste
     </li>
     <li class="itemize">Start Quick Fix
     </li>
     <li class="itemize">Manage your comments, format or clean up your source code by selecting &#8220;Show
     In&#8221;.
     </li>
     <li class="itemize">Open the <a 
href="textgrid-manualse45.html#x90-14500012.5">Properties View<!--tex4ht:ref: xml-editor:properties-view --></a>
                                                                                

                                                                                
     </li>
     <li class="itemize">Use  Eclipse&#8216;s  Subversive  options  by  selecting  &#8220;Team&#8221;,  &#8220;Compare  With&#8221;  or
     &#8220;Replace With&#8221; (<span 
class="stmary-10x-x-109">&#x2192;</span><a 
href="#x85-12200012.3.2">Features of the Source View<!--tex4ht:ref: xml-editor:editor-field:source-view:features --></a>).
     </li>
     <li class="itemize"><a 
href="textgrid-manualsu21.html#x78-8900012.2.1">Associate an Adaptor<!--tex4ht:ref: xml-editor:xml-editor-perspective:features:associate-adaptor --></a>, to copy an URI or URI fragment, to delete the file, to show
     or reload metadata (<span 
class="stmary-10x-x-109">&#x2192;</span>&#x00A0;<a 
href="textgrid-manualch9.html#x53-520009">Metadata Editor<!--tex4ht:ref: metadata-editor --></a>), to show <a 
href="textgrid-manualch8.html#x50-490008">Revisions<!--tex4ht:ref: revisions --></a> and CRUD Warnings
     that inform you about database problems
     </li>
     <li class="itemize">Selecting preferences</li></ul>
                                                                                

                                                                                
<!--l. 1331--><p class="noindent" ><a 
 id="tailtextgrid-manualsu27.html"></a> </p> 
</body></html> 
